#!/hint/bash -euE
# Copyright (C) 2023  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

post_install+=(79:reproducible:rm)
reproducible:rm() {
	local arg_mountpoint=$1

	rm -f -- "$arg_mountpoint"/var/log/pacman.log
	rm -f -- "$arg_mountpoint"/etc/machine-id               # systemd's pacman post-install script
	rm -f -- "$arg_mountpoint"/etc/ssl/certs/java/cacerts   # libalpm/hooks/40-update-ca-trust.hook
	rm -f -- "$arg_mountpoint"/var/cache/ldconfig/aux-cache # glibc's pacman post-install script
}
